Page MenuHomePhabricator

[Regression 1.29.0-wmf.2] Only every second node displayed in footnote flyout in VE
Closed, ResolvedPublic1 Estimated Story Points

Description

The flyout which appears in VE when you click on a footnote currently only shows every second node. This especially means that in many cases links are missing (as the footnote often starts with a simple text, followed by a link, followed by more text, see the following original report for an example), but it is reproducible for other node types as well. Actually, this can be reproduced with almost any article in any Wikipedia. As far as I can tell the flyout currently only displays correctly for footnotes with just one node (obviously) and those that use citation templates.

This regressions seems to have been introduced with 1.29.0-wmf.3


Original report:
[External links in references no longer properly displayed after clicking on footnote]

Steps to reproduce:

  1. Go to https://de.wikipedia.org/wiki/Panoramafreiheit
  2. Edit using VE
  3. Click on footnote [1]
  4. Notice that the preview doesn't correspond to the actual source code. In particular, it doesn't contain a hyperlink (see screenshot below). However, if you click "Edit" to modify the footnote, the hyperlink is contained there as expected.

I'm using Chrome 54 (Win 10).

Event Timeline

Schnark renamed this task from External links in references no longer properly displayed after clicking on footnote to File links in references no longer properly displayed after clicking on footnote.Nov 25 2016, 9:00 AM
Schnark added a subscriber: Schnark.

Minimal example:

<ref>foo, [[:File:Example.jpg]]</ref>

Note that removing the "foo, " will make the file link appear in the popup as expected.

Schnark renamed this task from File links in references no longer properly displayed after clicking on footnote to [Regression] Only every second node displayed in footnote flyout in VE.Nov 26 2016, 9:33 AM
Schnark triaged this task as High priority.
Schnark added a project: Regression.
Schnark updated the task description. (Show Details)
Schnark added subscribers: Whatamidoing-WMF, GermanJoe.

Change 324960 had a related patch set uploaded (by Esanders):
Follow-up I3b0483a7d: Fix append loop in PreviewElement

https://gerrit.wikimedia.org/r/324960

Jdforrester-WMF renamed this task from [Regression] Only every second node displayed in footnote flyout in VE to [Regression 1.29.0-wmf.2] Only every second node displayed in footnote flyout in VE.Dec 2 2016, 7:42 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set the point value for this task to 1.

Change 324960 merged by jenkins-bot:
Follow-up I3b0483a7d: Fix append loop in PreviewElement

https://gerrit.wikimedia.org/r/324960

Change 325028 had a related patch set uploaded (by Jforrester):
Update VE core submodule to master (af7fb69)

https://gerrit.wikimedia.org/r/325028

Change 325028 merged by jenkins-bot:
Update VE core submodule to master (af7fb69)

https://gerrit.wikimedia.org/r/325028